/**
 * Created by Carson on 2018/5/30.
 */

/* config data */
var list_field = {
    rigidity: [{text: '型号', col: 'col-6', field: 'grade'},
        {text: '弯曲模量 GPa', col: 'col-3', field: 'flexmod'},
        {text: '拉伸强度 MPa', col: 'col-3', field: 'tensile'}],
    mobility: [{text: '型号', col: 'col-6', field: 'grade'},
        {text: 'MI(5kg) g/10min', col: 'col-6', field: 'mi'}],
    shrinking: [{text: '型号', col: 'col-6', field: 'grade'},
        {text: '平行 %', col: 'col-3', field: 'shrinkp'},
        {text: '垂直 %', col: 'col-3', field: 'shrinkv'}],
    tenacity: [{text: '型号', col: 'col-3', field: 'grade'},
        {text: 'IZOD缺口冲直强度(23℃)', col: 'col-3', field: 'izodroom'},
        {text: 'IZOD缺口冲直强度(-30℃)', col: 'col-3', field: 'izodlow'},
        {text: '断裂伸长率', col: 'col-3', field: 'elong'}],
    price: [{text: '型号', col: 'col-6', field: 'grade'},
        {text: '日期', col: 'col-3', field: 'pdate'},
        {text: 'USD', col: 'col-3', field: 'price'}],
    temperature: [{text: '型号', col: 'col-3', field: 'grade'},
        {text: 'HDT (0-45MPa)', col: 'col-3', field: 'hdtlow'},
        {text: 'HDT (1-82Mpa)', col: 'col-3', field: 'hdthigh'},
        {text: 'RTI (Elec.)', col: 'col-3', field: 'rti'}],
    fire: [{text: '型号', col: 'col-6', field: 'grade'},
        {text: 'UL94', col: 'col-6', field: 'ul94'}],
    injection: [{text: '型号', col: 'col-3', field: 'grade'},
        {text: '熔温 ℃', col: 'col-3', field: 'melttemp'},
        {text: '模温 ℃', col: 'col-3', field: 'moldtemp'},
        {text: '干燥温度', col: 'col-3', field: 'predrytemp'}],
    density: [{text: '型号', col: 'col-6', field: 'grade'},
        {text: '密度 g/cm<sup>3</sup>', col: 'col-3', field: 'density'},
        {text: '表面硬度', col: 'col-3', field: 'hardness'}],
    test: [{text: '参数', col: 'col-4', field: 'param'},
        {text: '比较内容', col: 'col-4', field: 'comparison'},
        {text: '测试方法', col: 'col-4', field: 'testMethod'}],
    properties: [{text: '参数', col: 'col-3', field: 'param'},
        {text: '比较内容', col: 'col-3', field: 'comparison'},
        {text: '单位', col: 'col-3', field: 'unit'},
        {text: '数值', col: 'col-3', field: 'numerical'}],
    rework: [{text: '型号', col: 'col-3', field: 'grade'},
        {text: '表面喷漆', col: 'col-3', field: 'paint'},
        {text: '超声焊接', col: 'col-3', field: 'ultrasound'},
        {text: '电镀', col: 'col-3', field: 'electroplate'}]
};

/* 五大 dash list */
var paramsAllList = [];
var selectParams = {};
var marketNewsList = [];
var faqList = [];
var caseList = [];
var caseTypeList = [];
var aboutList = [];

var fields = new Array(); // 列表 字段 数组 显示；
var paramDetailList = new Array(); // 列表 数组
var dataIndex = 1; //前端 规定；
var dataDetail = 0; //前端 规定；
var dataType = 0; // 前端 或 后端 规定；
var searchBarType = 'search';//select 、 no ，三个值  ；后端规定

$(function () {
    showContent();
    $('.tab').click(function () {
        $('.tab').removeClass('active');
        $(this).addClass('active');
        dataIndex = parseInt($(this).attr('data-index'));
        showContent();
    });
    $('.item').click(function () {
        itemClick($(this));
    });
    $('.back').click(function () {
        dataDetail = 0;
        showDetailContent();
    });
    $(window).on("hashchange", function() {//兼容ie8+和手机端
        console.log(this.location.hash);
        if(this.location.hash=='#dash'||this.location.hash==''){
            dataDetail = 0;
            showDetailContent();
        }
    });
});

function itemClick(ap) {
    var data_detail = ap.attr('data-detail');
    dataType = ap.attr('data-type') != undefined ? parseInt(ap.attr('data-type')) : 0;
    if (data_detail != undefined) {
        dataDetail = parseInt(ap.attr('data-detail'));
        $('#title').text($(ap).children('a').children('div').text());
        showDetailContent();
    }
}

function showContent() {
    $('.content').css('display', 'none');
    $('.header').css('display', 'none');
    $('.banner').css('display', 'none');
    $('.dash_header').css('display', 'block');
    switch (dataIndex) {
        case 1:
            $('.params_banner').css('display', 'block');
            $('.parameter').css('display', 'block');
            break;
        case 2:
            $('.market_banner').css('display', 'block');
            $('.market_info').css('display', 'block');
            getMarketNewsList();
            break;
        case 3:
            $('.question_banner').css('display', 'block');
            $('.question').css('display', 'block');
            getFapList();
            break;
        case 4:
            $('.banner_list').css('display', 'block');
            $('.case').css('display', 'block');
            getCaseTypeList();
            getCaseList();
            break;
        case 5:
            $('.about').css('display', 'block');
            getAboutList();
            break;
    }
    setContentPT();
}

function getCaseTypeList(){
    caseTypeList = [{
        id:-1,text:'全部'
    },{
        id:285,text:'电子产品'
    },{
        id:281,text:'汽车配件'
    },{
        id:275,text:'玩具'
    },{
        id:273,text:'婴幼儿用品'
    },{
        id:268,text:'化妆品包材'
    },{
        id:269,text:'家用电器'
    },{
        id:265,text:'家居用品'
    },{
        id:552,text:'其他行业'
    }];
    setCaseTypeList();
    if(caseTypeList.length<=0){
        layer.load();
        $.ajax({
            type: "post",
            url: "https://www.first-foundation.cn/case-terms-json/",
            dataType: "json",
            success: function (data, textStatus, jqXHR) {
                layer.closeAll();
                console.log(data);
                caseTypeList = data;
                setCaseTypeList();
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {

            }
        });
    }
}
function setCaseTypeList() {
    var caseTypeStr = '<select id="caseTypeOption" class="form-control"></select>';
    /*var caseTypeStr = '<div class="list_item active" data-termId="-1">'+
                    '<i class="glyphicon glyphicon-inbox"></i>&nbsp;'+
                    '<span>全部</span>'+
                    '</div>';
    for(var i=0;i<caseTypeList.length;i++){
        caseTypeStr += '<div class="list_item" data-termId="'+caseTypeList[i].termId+'">'+
                    '<i class="'+
                    (caseTypeList[i].icon==false?'glyphicon glyphicon-list-alt':caseTypeList[i].icon)+
                    '"></i>&nbsp;'+
                    '<span>'+caseTypeList[i].title+'</span>'+
                    '</div>';
    }*/
    $('#caseType').empty().append(caseTypeStr);
    $('#caseTypeOption').select2({
        placeholder: "Select",
        data: caseTypeList
    });
    /*for(var i=0;i<caseTypeList.length;i++){
        caseTypeList[i].id = caseTypeList[i].termId;
        caseTypeList[i].text = caseTypeList[i].title;
        if(i==caseTypeList.length-1){
            $('#caseTypeOption').select2({
                placeholder: "Select",
                data: caseTypeList
            });
        }
    }*/
    // setListBar();
    window.setTimeout(function () {
        $('#caseTypeOption').change(function () {
            var termId = parseInt($(this).val());
            console.log(termId);
            if(termId!=-1){
                var _item = $.map(caseList,item => { if(item.termId == termId) return item; });
                setCaseList(_item);
            }else{
                setCaseList(caseList);
            }
            $('.banner_list .list_item').removeClass('active');
            $(this).addClass('active');
        });
    },300);
   /*$('.list_item').click(function () {
        var termId = $(this).attr('data-termId');
        if(termId!=-1){
            var _item = $.map(caseList,item => { if(item.termId == termId) return item; });
            setCaseList(_item);
        }else{
            setCaseList(caseList);
        }
        $('.banner_list .list_item').removeClass('active');
        $(this).addClass('active');
    });*/
}
function getCaseList() {
    if(caseList.length<=0){
        layer.load();
        $.ajax({
            type: "post",
            url: "https://www.first-foundation.cn/case-list-json/",
            dataType: "json",
            success: function (data, textStatus, jqXHR) {
                layer.closeAll();
                caseList = data;
                setCaseList(caseList);
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {

            }
        });
    }
}
function setCaseList(cur_caseList) {
    var caseListStr = '';
    for(var i=0;i<cur_caseList.length;i++){
        var con = cur_caseList[i].content;
        var bb = true;
        while (bb){
            if(con.search('<p>') != -1){
                con = con.replace("<p>","");
                con = con.replace("</p>","");
                //con = con.replace(" ","");
                con = con.replace("<div>","");
                con = con.replace("</div>","");
            }else{
                bb = false;
            }
        }
        var flgX = '</p><p>';
        con = insert_flg(con,flgX,con.indexOf('型号'));
        con = insert_flg(con,flgX,con.indexOf('特性'));
        caseListStr += '<div class="item">'+
            '<div class="row">'+
            '<div class="col-xs-5">'+
            '<div class="item_box">'+
            '<img src="'+cur_caseList[i].image+'" alt="" class="img-responsive">'+
            '</div>'+
            '</div>'+
            '<div class="col-xs-7">'+
            '<div class="info">'+
            '<h3>'+cur_caseList[i].title+'</h3>' +
            '<p>'+con+'</p>'+
            '</div>'+
            '</div>'+
            '</div>'+
            '</div>'
    }
    $('#caseList').empty().append(caseListStr);
}
function insert_flg(str,flg,sn){
    var newstr="";
    var tmp1=str.substring(0,sn);
    var tmp2=str.substring(sn);
    newstr += tmp1+flg+tmp2;
    return newstr;
}

function setListBar() {
    window.setTimeout(function () {
        var innerW = 0;
        $('.banner_list .list_item').each(function () {
            innerW += $(this).outerWidth(true) + 1;
        });
        $('.banner_list .innerBox').css('width', innerW);
    }, 200);
}

function getAboutList() {
    if(aboutList.length<=0){
        layer.load();
        $.ajax({
            type: "post",
            url: "https://www.first-foundation.cn/about-json/",
            dataType: "json",
            success: function (data, textStatus, jqXHR) {
                layer.closeAll();
                aboutList = data;
                setAboutList();
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {

            }
        });
    }
}
function setAboutList() {
    var str = '';
    for(var i=0;i<aboutList.length;i++){
        str += '<div class="item">'+
            '<div class="right_icon"></div>'+
            '<div class="title clearfix">'+
            '<div class="icon">'+
            '<img src="'+aboutList[i].flag+'" alt="" class="img-responsive">'+
            '</div>'+
            '<div class="name">'+
            aboutList[i].name+
            '</div>'+
            '</div>'+
            '<div class="info">'+
            '<p>'+
            '<span>'+
            ' 电话：'+aboutList[i].tel+' &nbsp;&nbsp;&nbsp;&nbsp;'+
            '</span><br>'+
            '<span>'+
            '传真：'+aboutList[i].fax+
            '</span>'+
            '</p>'+
            '<p>电子邮件： '+aboutList[i].email+'</p>'+
            '<p>地址： '+aboutList[i].address+'</p>'+
            '</div>'+
            '</div>'
    }
    $('#aboutList').empty().append(str);
}

function getMarketNewsList() {
    if(marketNewsList.length<=0){
        layer.load();
        $.ajax({
            type: "post",
            url: "https://www.first-foundation.cn/new01-json/",
            dataType: "json",
            success: function (data, textStatus, jqXHR) {
                layer.closeAll();
                marketNewsList = data;
                setMarketNewsList();
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {

            }
        });
    }
}
function setMarketNewsList() {
    var str = '';
    for(var i=0;i<marketNewsList.length;i++){
        str += '<div class="market_item" data-Id="'+marketNewsList[i].id+'" data-detail="2">'+
            '<h2>'+marketNewsList[i].title+'</h2>'+
            '<p>'+
            '<span>刊登日期：&nbsp;</span>'+
            '<span class="date">'+marketNewsList[i].date+'</span>'+
            '<span>'+marketNewsList[i].source+'</span>'+
            '</p>'+
            '<div class="right_icon"></div>'+
            '</div>';
    }
    $('#marketList').empty().append(str);
    $('.market_item').click(function () {
        window.location.href = './index.html#detail';
        itemClick($(this));
        var newsId = parseInt($(this).attr('data-Id'));
        setMarketNewsDetail(newsId)
    });
}
function setMarketNewsDetail(newsId) {
    var contentStr = '';
    var headStr = '';
    var _item = $.map(marketNewsList,item => { if(item.id == newsId) return item; });
    contentStr = _item[0].content;
    headStr += '<h2>'+
        _item[0].title+
        '</h2>'+
        '<p>'+
        '<span>刊登日期：</span>'+
        '<span class="date">'+_item[0].date+'</span>'+
        '<span>'+_item[0].source+'</span>'+
        '</p>';
    $('#head').empty().append(headStr);
    $('#marketDetail').empty().append(contentStr);
}

function getFapList() {
    if(faqList.length<=0){
        layer.load();
        $.ajax({
            type: "post",
            url: "https://www.first-foundation.cn/faq-json/",
            dataType: "json",
            success: function (data, textStatus, jqXHR) {
                layer.closeAll();
                faqList = data;
                setFaqList();
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {

            }
        });
    }
}
function setFaqList() {
    var str = '';
    for(var i=0;i<faqList.length;i++){
        str += '<div class="faq_item" data-id="'+faqList[i].id+'" data-detail="3">'+
            '<div class="row">'+
            '<div class="col-xs-2">'+
            '<img src="./img/q.png" alt="" class="img-responsive">'+
            '</div>'+
            '<div class="col-xs-10">'+
            '<p class="question_title">'+
            faqList[i].title+
            '</p>'+
            '</div>'+
            '</div>'+
            '</div>';
    }
    $('#faqList').empty().append(str);
    $('.faq_item').click(function () {
        window.location.href = './index.html#detail';
        itemClick($(this));
        var faqId = parseInt($(this).attr('data-Id'));
        setFaqDetail(faqId)
    });
}
function setFaqDetail(faqId) {
    var contentStr = '';
    var _item = $.map(faqList,item => { if(item.id == faqId) return item; });
    contentStr = _item[0].content;
    $('#faqDetail').empty().append(contentStr);
}

function setContentPT() {
    window.setTimeout(function () {
        var h_height = $('header').outerHeight(true);
        $('.content').css('margin-top', h_height);
    }, 100);
}

function showDetailContent() {
    $('.content').css('display', 'none');
    $('.header').css('display', 'none');
    $('.detail_header').css('display', 'block');
    $('footer').css('display', 'none');
    console.log(dataDetail)
    switch (dataDetail) {
        case 0:
            $('.detail_header').removeClass().addClass('header detail_header');
            $('footer').css('display', 'block');
            showContent();
            window.location.href = './index.html#dash';
            break;
        case 1:
            $('.search_bar').css('display', 'block');
            $('.parameter_detail').css('display', 'block');
            setParamsList();
            break;
        case 2:
            $('.detail_banner').css('display', 'block');
            $('.market_detail').css('display', 'block');
            $('#title').text('市场消息');
            break;
        case 3:
            $('.detail_banner').css('display', 'block');
            $('.question_detail').css('display', 'block');
            $('#title').text('常见问题');
            break;
    }
    setContentPT();
}

function setParamsList() {
    if(paramsAllList.length<=0){
        layer.load();
        $.ajax({
            type: "post",
            url: "https://www.first-foundation.cn/params-json/",
            dataType: "json",
            success: function (data, textStatus, jqXHR) {
                layer.closeAll();
                paramsAllList = data;
                paramDetailList = paramsAllList;
                setParams();
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {

            }
        });
    }else{
        setParams();
    }

}
function setParams() {
    switch (dataType) {
        case 1:
            fields = list_field.rigidity;
            searchBarType = 'search';
            paramsAllList.sort(function(a,b){
            	return b.flexmodsort - a.flexmodsort;
            });
            setParamsListItem(paramsAllList);
            break;
        case 2:
            fields = list_field.mobility;
            searchBarType = 'search';
            paramsAllList.sort(function(a,b){
            	return b.misort - a.misort;
            });
            setParamsListItem(paramsAllList);
            break;
        case 3:
            fields = list_field.shrinking;
            searchBarType = 'search';
            paramsAllList.sort(function(a,b){
            	return b.shrinkp - a.shrinkp;
            });
            setParamsListItem(paramsAllList);
            break;
        case 4:
            fields = list_field.tenacity;
            searchBarType = 'search';
            paramsAllList.sort(function(a,b){
            	return b.izodroomsort - a.izodroomsort;
            });
            setParamsListItem(paramsAllList);
            break;
        case 5:
            fields = list_field.price;
            searchBarType = 'search';
            paramsAllList.sort(function(a,b){
				return b.price - a.price;
            });
            setParamsListItem(paramsAllList);
            break;
        case 6:
            fields = list_field.temperature;
            searchBarType = 'search';
            paramsAllList.sort(function(a,b){
            	return b.rtisort - a.rtisort;
            });
            setParamsListItem(paramsAllList);
            break;
        case 7:
            fields = list_field.fire;
            searchBarType = 'search';
            paramsAllList.sort(function(a,b){
            	return b.ul94sort - a.ul94sort;
            });
            setParamsListItem(paramsAllList);
            break;
        case 8:
            fields = list_field.injection;
            searchBarType = 'search';
            paramsAllList.sort(function(a,b){
            	return b.melttempsort - a.melttempsort;
            });
            setParamsListItem(paramsAllList);
            break;
        case 9:
            fields = list_field.density;
            searchBarType = 'search';
            paramsAllList.sort(function(a,b){
            	return b.density - a.density;
            });
            setParamsListItem(paramsAllList);
            break;
        case 10:
            fields = list_field.test;
            searchBarType = 'no';
            setTestMethod();
            break;
        case 11:
            fields = list_field.properties;
            searchBarType = 'select';
            var paramsDetail = paramsAllList[0];
            setAllParams(paramsDetail);
            break;
        case 12:
            fields = list_field.rework;
            searchBarType = 'search';
            paramsAllList.sort(function(a,b){
            	return b.electroplate - a.electroplate;
            });
            setParamsListItem(paramsAllList);
            break;
    }
    setSearchBarType();
    setParamsHeader();
}
function setTestMethod() {
    var str = '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '密度'+
        '</div>'+
        '<div class="col-4">'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D792'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '收缩率'+
        '</div>'+
        '<div class="col-4">'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D955'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '表面硬度'+
        '</div>'+
        '<div class="col-4">'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D785'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '</div>'+
        '<div class="col-4">'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D2240'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '钢性'+
        '</div>'+
        '<div class="col-4">弯曲模量'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D790'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '</div>'+
        '<div class="col-4">拉伸强度'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D638'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '韧性'+
        '</div>'+
        '<div class="col-4">断裂伸长率'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D638'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '</div>'+
        '<div class="col-4">' +
        'IZOD缺口冲击强度（23℃）'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D256'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '</div>'+
        '<div class="col-4">'+
        'IZOD缺口冲击强度（-30℃）'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D256'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '耐温'+
        '</div>'+
        '<div class="col-4">' +
        'HDT（0.45MPa）'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D648'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '</div>'+
        '<div class="col-4">'+
        'HDT（1.82MPa）'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D648'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">'+
        '</div>'+
        '<div class="col-4">'+
        'RTI（Elec.）'+
        '</div>'+
        '<div class="col-4">'+
        'UL746B'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">' +
        '流动性'+
        '</div>'+
        '<div class="col-4">'+
        'MI(5kg)'+
        '</div>'+
        '<div class="col-4">'+
        'ASTM D1238'+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-4">' +
        '阻燃性'+
        '</div>'+
        '<div class="col-4">'+
        'UL94'+
        '</div>'+
        '<div class="col-4">'+
        'UL94'+
        '</div>'+
        '</div>'+
        '</div>';
    $('#p_detail').empty().append(str);
}
function setSearchBarType() {
    var eleStr = '';
    switch (searchBarType) {
        case 'search':
            eleStr = '<input id="search" type="text" class="form-control" placeholder="搜寻">';
            $('.search_box').empty().append(eleStr);
            break;
        case 'select':
            eleStr = '<select id="paramsId" class="form-control"></select>';
            // var opt = '';
            $('.search_box').empty().append(eleStr);
            for(var i=0;i<paramsAllList.length;i++){
                paramsAllList[i].text = paramsAllList[i].grade;
                /*if(i==paramsAllList.length-1){
                    eleStr += '<option value="'+paramsAllList[i].id+
                        '">'+paramsAllList[i].grade+'</option></select>';
                }else{
                    eleStr += '<option value="'+paramsAllList[i].id+
                        '">'+paramsAllList[i].grade+'</option>';
                }*/
            }

            window.setTimeout(function () {
                console.log(paramsAllList);
                $('#paramsId').select2({
                    placeholder: "Select",
                    data: paramsAllList
                });
                addSelectClick();
            },300);
            break;
        case 'no':
            eleStr = '';
            $('.search_box').empty().append(eleStr);
            break;
    }
    setContentPT();
}
function setParamsHeader() {
    var headerString = '';
    for (var i = 0; i < fields.length; i++) {
        headerString += '<div class="item ' + fields[i].col + '">' +
            '<div class="text">' +
            fields[i].text +
            '</div>' +
            '</div>'
    }
    $('#list_header').empty().append(headerString);
    $("#search").bind('input',function(){
        var valueStr = $(this).val();
        window.setTimeout(function () {
            searchParams(valueStr);
        },300)
    });
}
function searchParams(value) {
	var regE = new RegExp(value,'i')
    var _item = $.map(paramsAllList,item => {
	    if(item.grade.search(regE) != -1) return item;
	});
    setParamsListItem(_item);
}
function setParamsListItem(list) {
    var itemStr = '';
    for (var i = 0; i < list.length; i++) {
        itemStr += '<div class="item">' +
            '<div class="info clearfix">';
        for (var j = 0; j < fields.length; j++) {
            var testVal = '';
            if(fields[j].field=='paint'||fields[j].field=='ultrasound'||fields[j].field=='electroplate'){
                for(var k=0;k<parseInt(list[i][fields[j].field]);k++){
                    testVal += '<i class="glyphicon glyphicon-star"></i>&nbsp;';
                }
            }else{
                testVal += list[i][fields[j].field]
            }
            itemStr += '<div class="' + fields[j].col + '">' +
                '<div class="text">' +
                testVal +
                '</div>' +
                '</div>';
        };
        itemStr += '</div>' +
            '</div>'
    }
    $('#p_detail').empty().append(itemStr);

}
function addSelectClick() {
    $('#paramsId').change(function () {
        var paramsId = parseInt($(this).val());
        var _item = $.map(paramsAllList,item => { if(item.id == paramsId) return item; });
        var paramsDetail = _item[0];
        setAllParams(paramsDetail);
    })
}
function setAllParams(paramsDetail) {
    var paintStr = '';
    var ultrasoundStr = '';
    var electroplateStr = '';
    if(paramsDetail!=undefined){
        for(var i=0;i<paramsDetail.paint;i++){
            paintStr += '<i class="glyphicon glyphicon-star"></i>&nbsp;'
        }
        for(var i=0;i<paramsDetail.ultrasound;i++){
            ultrasoundStr += '<i class="glyphicon glyphicon-star"></i>&nbsp;'
        }
        for(var i=0;i<paramsDetail.electroplate;i++){
            electroplateStr += '<i class="glyphicon glyphicon-star"></i>&nbsp;'
        }
    }
    var allPS = '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '密度'+
        '</div>'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        'g/cm<sup>3</sup>'+
        '</div>'+
        '<div class="col-3">'+
            paramsDetail.density+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '收缩率'+
        '</div>'+
        '<div class="col-3">'+
        '平行'+
        '</div>'+
        '<div class="col-3">'+
        '%'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.shrinkp+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        '垂直'+
        '</div>'+
        '<div class="col-3">'+
        '%'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.shrinkv+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '表面硬度'+
        '</div>'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        'M/R/D/A/H'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.hardness+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '钢性'+
        '</div>'+
        '<div class="col-3">'+
        '弯曲模量'+
        '</div>'+
        '<div class="col-3">'+
        'GPa'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.flexmod+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        '拉伸强度'+
        '</div>'+
        '<div class="col-3">'+
        'MPa'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.tensile+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '韧性'+
        '</div>'+
        '<div class="col-3">'+
        '断裂伸长率'+
        '</div>'+
        '<div class="col-3">'+
        '%'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.elong+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        'IZOD缺口冲击强度（23℃）'+
        '</div>'+
        '<div class="col-3">'+
        'J/m'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.izodroom+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        'IZOD缺口冲击强度（-30℃）'+
        '</div>'+
        '<div class="col-3">'+
        'J/m'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.izodlow+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '注塑参数'+
        '</div>'+
        '<div class="col-3">'+
        '熔温'+
        '</div>'+
        '<div class="col-3">'+
                       ' ℃'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.melttemp+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        '模温'+
        '</div>'+
        '<div class="col-3">'+
                        '℃'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.moldtemp+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        '干燥温度'+
        '</div>'+
        '<div class="col-3">'+
                       ' ℃'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.predrytemp+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '耐温'+
        '</div>'+
        '<div class="col-3">'+
        'HDT(0.45MPa)'+
        '</div>'+
        '<div class="col-3">'+
                        '℃'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.hdtlow+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        'HDT(1.82MPa)'+
        '</div>'+
        '<div class="col-3">'+
                        '℃'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.hdthigh+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        'RTI(Elec.)'+
        '</div>'+
        '<div class="col-3">'+
                        '℃'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.rti+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '流动性'+
        '</div>'+
        '<div class="col-3">'+
        'MI（5kg）'+
        '</div>'+
        '<div class="col-3">'+
        '    g/10min'+
        '</div>'+
        '<div class="col-3">'+
        paramsDetail.mi+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '燃烧性'+
        '</div>'+
        '<div class="col-3">'+
        'UL94'+
        '</div>'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        paramsDetail.ul94+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '二次加工'+
        '</div>'+
        '<div class="col-3">'+
        '表面喷漆'+
        '</div>'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        paintStr+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        '超声焊接'+
        '</div>'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        ultrasoundStr+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        '电镀'+
        '</div>'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        electroplateStr+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+
        '价格'+
        '</div>'+
        '<div class="col-3">'+
        '日期'+
        '</div>'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        paramsDetail.pdate+
        '</div>'+
        '</div>'+
        '</div>'+
        '<div class="item">'+
        '<div class="info clearfix">'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        'USD'+
        '</div>'+
        '<div class="col-3">'+

        '</div>'+
        '<div class="col-3">'+
        paramsDetail.price+
        '</div>'+
        '</div>'+
        '</div>';
    $('#p_detail').empty().append(allPS);
}
